{ config, lib, pkgs, ... }:

with lib; {
  imports = mapAttrsToList (k: _: ./. + ("/" + k))
    (filterAttrs (_: v: v == "directory") (builtins.readDir ./.));

  options.profiles = mkOption {
    default = [ ];
    description = "List of configuration profiles to activate";
    type = types.listOf types.str;
  };
}
