{ config, pkgs, lib, ... }:

with lib;
let activeProfiles = config.profiles;
in {
  config = mkIf (elem "ipfs" activeProfiles) {
    services.ipfs = {
      enable = true;
      autoMount = true;
      user = "jez";
      group = "jez";
      dataDir = "/home/jez/.ipfs";
    };

    environment.systemPackages = [ pkgs.ipfs-migrator ];
  };
}
